apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: microclimate
  title: Microclimate module
  description: Golemio Microclimate module
  tags:
    - module
    - dataplatform
    - typescript
  annotations:
    backstage.io/source-location: url:https://gitlab.com/operator-ict/golemio/code/modules/microclimate
    backstage.io/techdocs-ref: url:https://gitlab.com/operator-ict/golemio/code/modules/microclimate/-/tree/master?ref_type=heads
  links:
    - url: https://www.npmjs.com/package/@golemio/microclimate
      title: NPM
spec:
  type: module
  lifecycle: production
  owner: team-backend
  system: golemio-data-platform
  dependsOn:
    - 'component:core'
  providesApis:
    - "microclimate-api"

---

apiVersion: backstage.io/v1alpha1
kind: API
metadata:
  name: microclimate-api
  description: Golemio Microclimate module api
spec:
  type: openapi
  lifecycle: production
  owner: team-backend
  definition:
    $text: https://gitlab.com/operator-ict/golemio/code/modules/microclimate/-/blob/master/docs/openapi.yaml
